compact3
javax.security.sasl

## Class AuthorizeCallback

- java.lang.Object
- - javax.security.sasl.AuthorizeCallback

- All Implemented Interfaces:
    Serializable, Callback

      public class AuthorizeCallback
      extends Object
      implements Callback, Serializable

  This callback is used by `SaslServer` to determine whether one entity (identified by an authenticated authentication id) can act on behalf of another entity (identified by an authorization id).
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuthorizeCallback(String authnID, String authzID)` | Constructs an instance of `AuthorizeCallback`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAuthenticationID()` | Returns the authentication id to check.
    `String` | `getAuthorizationID()` | Returns the authorization id to check.
    `String` | `getAuthorizedID()` | Returns the id of the authorized user.
    `boolean` | `isAuthorized()` | Determines whether the authentication id is allowed to act on behalf of the authorization id.
    `void` | `setAuthorized(boolean ok)` | Sets whether the authorization is allowed.
    `void` | `setAuthorizedID(String id)` | Sets the id of the authorized entity.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthorizeCallback

          public AuthorizeCallback(String authnID,
                                   String authzID)

      Constructs an instance of `AuthorizeCallback`.
      Parameters:
        `authnID` - The (authenticated) authentication id.
        `authzID` - The authorization id.

  - ### Method Detail

    - #### getAuthenticationID

          public String getAuthenticationID()

      Returns the authentication id to check.
      Returns:
        The authentication id to check.

    - #### getAuthorizationID

          public String getAuthorizationID()

      Returns the authorization id to check.
      Returns:
        The authentication id to check.

    - #### isAuthorized

          public boolean isAuthorized()

      Determines whether the authentication id is allowed to act on behalf of the authorization id.
      Returns:
        `true` if authorization is allowed; `false` otherwise
      See Also:
        `setAuthorized(boolean)`, `getAuthorizedID()`

    - #### setAuthorized

          public void setAuthorized(boolean ok)

      Sets whether the authorization is allowed.
      Parameters:
        `ok` - `true` if authorization is allowed; `false` otherwise
      See Also:
        `isAuthorized()`, `setAuthorizedID(java.lang.String)`

    - #### getAuthorizedID

          public String getAuthorizedID()

      Returns the id of the authorized user.
      Returns:
        The id of the authorized user. `null` means the authorization failed.
      See Also:
        `setAuthorized(boolean)`, `setAuthorizedID(java.lang.String)`

    - #### setAuthorizedID

          public void setAuthorizedID(String id)

      Sets the id of the authorized entity. Called by handler only when the id is different from getAuthorizationID(). For example, the id might need to be canonicalized for the environment in which it will be used.
      Parameters:
        `id` - The id of the authorized user.
      See Also:
        `setAuthorized(boolean)`, `getAuthorizedID()`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.